import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'oilPriceTaskPriceType'
})
export class OilPriceTaskPriceTypePipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 1:
        return '国标价';
      case 2:
        return '油站价';
      case 3:
        return '平台优惠';
      case 4:
        return '油站直降';
    }
  }

}
